import request from '@/utils/request'

// 获取所有设置
export function getSetting() {
  return request({
    url: '/setting/getsetting',
    method: 'get'
  })
}

// 更改设置
export function setSetting(data) {
  return request({
    url: '/setting/updatesystemset',
    method: 'post',
    data
  })
}

// 添加字典设置
export function addSetting(data) {
  return request({
    url: '/setting/uploadsetting',
    method: 'post',
    data
  })
}

// 修改字典设置
export function editSetting(data) {
  return request({
    url: '/setting/updatesetting',
    method: 'post',
    data
  })
}
